# Class invalid_exception

- Defined in File parser.hpp

## Inheritance Relationships

### Base Type

- `public zeem::exception` (Class exception)

## Class Documentation

class invalid_exception : public zeem::exception

  If an invalid_exception is thrown, it means the XML document is not valid: it does not conform the DTD specified in the XML document. This is only thrown when validation is enabled.

  The what() member of the exception object will contain an explanation.

  Public Functions

  inline explicit invalid_exception(std::string msg)